<template>
  <div class="onboarding-form">
    <h2>Few more steps...</h2>
    <form id="subForm" @submit.prevent="onboard">
      <label for="username">Choose an username :</label>
      <input type="text" v-model="username" name="username" />
      <input type="submit" class="login-button" value="Continue" />
    </form>
  </div>
</template>

<script>
export default {
  name: "OnBoarding",
  data: function() {
      return {
          projectName: null,
          username: null
      }
  }, 

  methods: {
      onboard: () => {}
  }
};
</script>

<style>
.onboarding-form {
  width: 500px;
  height: 200px;
  margin: auto;
  margin-top: 200px;
  padding: 50px;
  border: 1px solid lightgray;
  border-radius: 10px;
}

.onboarding-form h2 {
  text-align: center;
}

.onboarding-form label {
  text-align: left;
  margin-top: 20px; 
  margin-bottom: 20px;
  font-weight: bold;
}

input:not([type="checkbox"]) {
    /* Remove default style */
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
  border: 0px;
  border-bottom: 1px solid lightgray;
  font-size: 20px;
  line-height: 20px;
}
</style>
